<app-header-catalog
  [catalog]="'organization'"
  [label]="label"
  [description]="description"
  [breadcrumb]="breadcrumb"
/>

<div [ngClass]="['organization-page', jds.mt(30), jds.mb(70), jds.mx(0)]">
  <div [ngClass]="jds.container">
    <div [ngClass]="jds.row">
      <div [ngClass]="[jds.col(12)]">
        <!-- Search Catalog -->
        <div [ngClass]="[jds.mb(16)]">
          <app-search-catalog
            [catalog]="'organization'"
            [search]="vm.filterSearch()"
            (searchChange)="vm.handleFilterSearch($event)"
          />
        </div>

        <div
          [ngClass]="[
            jds.d('flex'),
            jds.alignItems('center'),
            jds.justifyContent('between'),
            jds.mb(24)
          ]"
        >
          <!-- Suggestion Catalog -->
          @if (vm.listOrganization(); as listOrganization) {
            @switch (listOrganization.status) {
              @case ('loading') {
                <div class="wrapper-skeleton">
                  <ngx-skeleton-loader
                    [theme]="{
                      width: '25%',
                      'border-radius': '0',
                      height: '22px',
                      'margin-bottom': '0'
                    }"
                  />
                </div>
              }
              @case ('success') {
                @if (listOrganization.data.list.length > 0) {
                  <span [ngClass]="[jds.fs(14)]">
                    <strong>
                      {{
                        listOrganization.data.pagination.total_items
                          | number: '1.0-0' : 'id'
                      }}
                    </strong>
                    Organisasi ditemukan
                  </span>
                } @else {
                  <span [ngClass]="[jds.fs(14)]">
                    Organisasi tidak ditemukan
                  </span>
                }
              }
            }
          }

          <!-- Sort Catalog -->
          <app-sort-catalog
            [catalog]="'organization'"
            [sort]="vm.filterSort()"
            (sortChange)="vm.handleFilterSort($event)"
          />
        </div>

        <!-- List Catalog Organization -->
        @if (vm.listOrganization(); as listOrganization) {
          @switch (listOrganization.status) {
            @case ('loading') {
              <app-skeleton-catalog-organization />
            }
            @case ('success') {
              @if (listOrganization.isFetching) {
                <app-skeleton-catalog-organization />
              } @else if (listOrganization.data.list.length > 0) {
                <div
                  [ngClass]="[jds.row]"
                  style="--jds-gutter-x: 20px"
                >
                  @for (item of listOrganization.data.list; track item.id) {
                    <div [ngClass]="[jds.col(2)]">
                      <app-list-organization [data]="item" />
                    </div>
                  }
                </div>

                <jds-bi-pagination
                  [colorScheme]="colorScheme"
                  [perPageItems]="perPageItems"
                  [pagination]="listOrganization.data.pagination"
                  [perPage]="vm.filterPerPage()"
                  [page]="vm.filterCurrentPage()"
                  (filterPerPage)="vm.handleFilterPerPage($event)"
                  (filterPage)="vm.handleFilterCurrentPage($event)"
                />
              } @else {
                @if (vm.hasFilterSearch()) {
                  <app-list-empty type="organization">
                    <h6>Maaf, hasil pencarian tidak ditemukan.</h6>
                    <p>
                      Organisasi yang Anda cari tidak ditemukan atau terjadi
                      kesalahan penulisan kata kunci.
                    </p>
                  </app-list-empty>
                } @else {
                  <app-list-empty type="organization">
                    <h6>Maaf, belum ada Organisasi yang dapat diakses.</h6>
                    <p>
                      Mohon coba kembali di lain waktu untuk mendapatkan
                      Organisasi yang Anda cari.
                    </p>
                  </app-list-empty>
                }
              }
            }
          }
        }
      </div>
    </div>
  </div>
</div>
